'use strict';

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var assert = require('assert');
var xmlbuilder = require('xmlbuilder');

module.exports = function () {
  function Generator() {
    (0, _classCallCheck3.default)(this, Generator);

    this.xml = xmlbuilder.create('rss').att('xmlns:excerpt', 'http://wordpress.org/export/1.2/expert').att("xmlns:content", "http://purl.org/rss/1.0/modules/content/").att("xmlns:wfw", "http://wellformedweb.org/CommentAPI/").att("xmlns:dc", "http://purl.org/dc/elements/1.1/").att("xmlns:wp", "http://wordpress.org/export/1.2/").att("version", "2.0");
    this.channel = this.xml.ele('channel');
    this.channel.ele('wp:wxr_version', {}, 1.2);
  }

  (0, _createClass3.default)(Generator, [{
    key: 'addPost',
    value: function addPost() {}
  }, {
    key: 'addUser',
    value: function addUser(_ref) {
      var id = _ref.id,
          username = _ref.username,
          email = _ref.email,
          display_name = _ref.display_name,
          first_name = _ref.first_name,
          last_name = _ref.last_name;

      var user = this.channel.ele('wp:author');
      user.ele('wp:author_id', {}, id);
      user.ele('wp:author_login', {}, username);
      user.ele('wp:author_email', {}, email);
      user.ele('wp:author_display_name', {}, display_name || username);
      user.ele('wp:author_first_name', {}, first_name);
      user.ele('wp:author_last_name', {}, last_name);
    }
  }, {
    key: 'addTag',
    value: function addTag(_ref2) {
      var id = _ref2.id,
          slug = _ref2.slug,
          name = _ref2.name,
          description = _ref2.description;

      var tag = this.channel.ele('wp:tag');
      tag.ele('wp:term_id', {}, id || Math.floor(Math.random() * 100000));
      tag.ele('wp:tag_slug', {}, slug);
      tag.ele('wp:tag_name', {}, name);
      tag.ele('wp:tag_description', {}, description);
    }
  }, {
    key: 'addCategory',
    value: function addCategory(_ref3) {
      var id = _ref3.id,
          slug = _ref3.slug,
          name = _ref3.name,
          parent_id = _ref3.parent_id,
          description = _ref3.description;

      var category = this.channel.ele('wp:category');
      category.ele('wp:term_id', {}, id || Math.floor(Math.random() * 100000));
      category.ele('wp:category_nicename', {}, slug);
      category.ele('wp:cat_name', {}, name);
      category.ele('wp:category_description', {}, '');
      if (parent_id) {
        category.ele('wp:category_parent', {}, parent_id);
      }
    }
  }, {
    key: 'addAttatchment',
    value: function addAttatchment() {}
  }, {
    key: 'addComment',
    value: function addComment() {}
  }, {
    key: 'stringify',
    value: function stringify() {
      return this.xml.end({
        pretty: true,
        indent: "    ",
        newline: "\n"
      });
    }
  }]);
  return Generator;
}();